@set stop_all=no

@echo ---- SIS_RequestDelete\build.bat -------------------------------------
@echo About to generate and set up the consolidated database...
@rem
@rem  1) Creates an Adaptive Server Anywhere consolidated database.
@rem  2) Creates an ODBC data source.
@rem  3) Creates a simple notification schema for two Notifiers.
@rem --------------------------------------------------------------------------

@setlocal
@call common.bat
@if "%_continue_%" == "no" @goto stop_all

@dbping -q >nul 2>&1
@if errorlevel 1 goto proceed
@echo.
@echo      An ASA server is already running on the local machine.
@echo      Please shut it down before running this sample.
@echo.
@goto stop_all
:proceed

@rem --------------------------------------------------------------------------
@echo     Creating the consolidated database (%condb_dsn%.db)...
@rem
@set qf=%condb_dsn%.db
@dberase.exe -q -y %qf% >nul 2>&1
@dbinit.exe -q %qf% >nul

@rem --------------------------------------------------------------------------
@echo     Creating the ODBC DSN (%condb_dsn%)...
@rem
@dbdsn.exe -q -y -wu %condb_dsn% -c "uid=dba;pwd=sql;dbf=%qf%;" >nul

@rem --------------------------------------------------------------------------
@echo     Creating a simple notification schema...
@rem
@dbisql.exe -nogui -q -c "dsn=%condb_dsn%" read consolidated.sql

@endlocal
@goto done
:stop_all
@endlocal
set stop_all=yes
:done
