@if "%stop_all%" == "yes" @goto done

@echo ---- SIS_RequestDelete\step3.bat -------------------------------------
@echo About to make two repeatable push requests (one for each Notifier)...
@rem
@rem  1) Directly inserts a repeatable push request to the request
@rem     table, prompting a repeatable notification from 'Notifier A'. The  
@rem     resend interval is 3 seconds and the request will expire in 30 seconds.
@rem  2) Directly inserts a repeatable push request to the request
@rem     table, prompting a repeatable notification from 'Notifier B'. The  
@rem     resend interval is 3 seconds and the request will expire in 30 seconds.
@rem  2) Wait for delivery confirmation.
@rem
@rem Before running this file, you should have run build.bat, step1.bat, 
@rem and step2.bat.
@rem --------------------------------------------------------------------------

@setlocal
@call common.bat
@if "%_continue_%" == "no" @goto stop_all

@rem --------------------------------------------------------------------------
@echo     Inserting a repeatable push request for Notifier A
@rem
@dbisql -q -nogui -c "dsn=%condb_dsn%" read push.sql [Default-DeviceTracker] [Notifier A repeatable] [ one push per 3 seconds for 30 seconds] [device1-dblsn] [3s] [30s]

@rem --------------------------------------------------------------------------
@echo     Inserting a repeatable push request for Notifier B
@rem
@dbisql -q -nogui -c "dsn=%condb_dsn%" read push.sql [Default-DeviceTracker] [Notifier B repeatable] [ one push per 3 seconds for 30 seconds] [device1-dblsn] [3s] [30s]

@rem --------------------------------------------------------------------------
@echo     Waiting 8 seconds for the delivery confirmation to happen...
@rem
@sissleep 8

@endlocal
@goto done
:stop_all
@endlocal
set stop_all=yes
:done
